com.sun.jna.platform.win32

## Interface WinGDI

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface WinGDI
      extends StdCallLibrary

  Ported from WinGDI.h. Microsoft Windows SDK 6.0A.
  Author:
    dblock[at]dblock.org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `WinGDI.BITMAPINFO`
    `static class` | `WinGDI.BITMAPINFOHEADER`
    `static class` | `WinGDI.RGBQUAD`
    `static class` | `WinGDI.RGNDATA`
    `static class` | `WinGDI.RGNDATAHEADER`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALTERNATE`
    `static int` | `BI_BITFIELDS`
    `static int` | `BI_JPEG`
    `static int` | `BI_PNG`
    `static int` | `BI_RGB`
    `static int` | `BI_RLE4`
    `static int` | `BI_RLE8`
    `static int` | `COMPLEXREGION`
    `static int` | `DIB_PAL_COLORS`
    `static int` | `DIB_RGB_COLORS`
    `static int` | `ERROR`
    `static int` | `NULLREGION`
    `static int` | `RDH_RECTANGLES`
    `static int` | `RGN_AND`
    `static int` | `RGN_COPY`
    `static int` | `RGN_DIFF`
    `static int` | `RGN_OR`
    `static int` | `RGN_XOR`
    `static int` | `SIMPLEREGION`
    `static int` | `WINDING`

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

- - ### Field Detail

    - #### RDH_RECTANGLES

          static final int RDH_RECTANGLES

      See Also:
        Constant Field Values

    - #### RGN_AND

          static final int RGN_AND

      See Also:
        Constant Field Values

    - #### RGN_OR

          static final int RGN_OR

      See Also:
        Constant Field Values

    - #### RGN_XOR

          static final int RGN_XOR

      See Also:
        Constant Field Values

    - #### RGN_DIFF

          static final int RGN_DIFF

      See Also:
        Constant Field Values

    - #### RGN_COPY

          static final int RGN_COPY

      See Also:
        Constant Field Values

    - #### ERROR

          static final int ERROR

      See Also:
        Constant Field Values

    - #### NULLREGION

          static final int NULLREGION

      See Also:
        Constant Field Values

    - #### SIMPLEREGION

          static final int SIMPLEREGION

      See Also:
        Constant Field Values

    - #### COMPLEXREGION

          static final int COMPLEXREGION

      See Also:
        Constant Field Values

    - #### ALTERNATE

          static final int ALTERNATE

      See Also:
        Constant Field Values

    - #### WINDING

          static final int WINDING

      See Also:
        Constant Field Values

    - #### BI_RGB

          static final int BI_RGB

      See Also:
        Constant Field Values

    - #### BI_RLE8

          static final int BI_RLE8

      See Also:
        Constant Field Values

    - #### BI_RLE4

          static final int BI_RLE4

      See Also:
        Constant Field Values

    - #### BI_BITFIELDS

          static final int BI_BITFIELDS

      See Also:
        Constant Field Values

    - #### BI_JPEG

          static final int BI_JPEG

      See Also:
        Constant Field Values

    - #### BI_PNG

          static final int BI_PNG

      See Also:
        Constant Field Values

    - #### DIB_RGB_COLORS

          static final int DIB_RGB_COLORS

      See Also:
        Constant Field Values

    - #### DIB_PAL_COLORS

          static final int DIB_PAL_COLORS

      See Also:
        Constant Field Values

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.